var MMO = window.MMO || {};
MMO.Hide = MMO.Hide || {};

!function($, window, document, _undefined)
{
    "use strict";

    MMO.Hide.QuickReply = XF.extend(XF.SelectToQuote, {
        __backup: {
            'getValidSelectionContainer': '__mhHide_getValidSelectionContainer'
        },

        getValidSelectionContainer: function(selection)
        {
            if (selection.isCollapsed || !selection.rangeCount)
            {
                return null;
            }

            var range = selection.getRangeAt(0);

            if ($(range.startContainer).closest('.bbCodeBlock--hide, .js-noSelectToQuote').length
                || $(range.endContainer).closest('.bbCodeBlock--hide, .js-noSelectToQuote').length)
            {
                return null;
            }

            return this.__mhHide_getValidSelectionContainer(selection);
        }
    });

    XF.Element.register('select-to-quote', 'MMO.Hide.QuickReply');
} (jQuery, window, document);