<?php

namespace MMO\Hide\BbCode\Tag;

class HideClub extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $canView = false;
        $groups_available = \XF::app()->options()->mhClubGroups;
        foreach ($groups_available as $group_id)
        {
            if ($this->visitor()->isMemberOf($group_id))
            {
                $canView = true;
            }
        }

        return $this->renderTemplate($content, \XF::phrase('mh_tag_club'), [
            'canView' => $canView,
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}