<?php

namespace MMO\Hide\BbCode\Tag;

class HideReplyThanks extends AbstractTag
{
    /**
     * @inheritDoc
     */
    public function render($content, array $tagChildren, $tagOption, array $tag, array $options)
    {
        $canView = false;
        if($this->canReactionView($options))
        {
            $canView = true;
        }

        return $this->renderTemplate($content, \XF::phrase('mh_tag_reply_or_thanks'), [
            'canView' => $canView,
            'options' => $options,
            'tag' => $tag['tag']
        ]);
    }
}