<?php

namespace MMO\Hide\Template;

class TemplaterSetup
{
    /**
     * @param $templater
     * @param $escape
     * @param $hideType
     * @param null $reactions
     * @return string
     */
    public static function funcMhReact($templater, &$escape, $hideType, $reactions = null)
    {
        $escape = false;

        $reactionsHtml  = [];

        foreach ($reactions AS $reactionId)
        {
            $reactionId = intval($reactionId);

            $reactionsHtml[$reactionId] = $templater->func('reaction', [
                [
                    'id' => $reactionId,
                    'showtitle' => true,
                    'small' => true,
                    'hasreaction' => true
                ]
            ], $escape);
        }

        return implode(', ', $reactionsHtml);
    }
}