<?php

namespace MMO\Hide\XF\Entity;

class User extends XFCP_User
{
    /**
     * @param $tag
     *
     * @return bool
     */
    public function canUseHideTag($tag)
    {
        return $this->hasPermission('hide', "useTag{$tag}");
    }

    /**
     * @param $tag
     *
     * @return bool
     */
    public function canBypassHideTag($tag)
    {
        return $this->hasPermission('hide', "bypassTag{$tag}");
    }
}